<?xml version="1.0"?>
  <database name="TABLE OBTL_WITHHOLDING_PARAMETER">
    <table name="OBTL_WITHHOLDING_PARAMETER" primaryKey="OBTL_WITHHOLDINGPARAMETER_KEY">
      <column name="OBTL_WITHHOLDING_PARAMETER_ID" primaryKey="true" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_CLIENT_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="AD_ORG_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="CREATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="CREATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="UPDATED" primaryKey="false" required="true" type="TIMESTAMP" size="7" autoIncrement="false">
        <default><![CDATA[SYSDATE]]></default>
        <onCreateDefault/>
      </column>
      <column name="UPDATEDBY" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="ISACTIVE" primaryKey="false" required="true" type="CHAR" size="1" autoIncrement="false">
        <default><![CDATA[Y]]></default>
        <onCreateDefault/>
      </column>
      <column name="C_WITHHOLDING_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <column name="OBTL_TAX_REPORT_PARAMETER_ID" primaryKey="false" required="true" type="VARCHAR" size="32" autoIncrement="false">
        <default/>
        <onCreateDefault/>
      </column>
      <foreign-key foreignTable="OBTL_TAX_REPORT_PARAMETER" name="OBTL_TAXREPPARAM_OBTLWHPARAM">
        <reference local="OBTL_TAX_REPORT_PARAMETER_ID" foreign="OBTL_TAX_REPORT_PARAMETER_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_CLIENT" name="OBTL_WHPARAM_ADCLIENT">
        <reference local="AD_CLIENT_ID" foreign="AD_CLIENT_ID"/>
      </foreign-key>
      <foreign-key foreignTable="AD_ORG" name="OBTL_WHPARAM_ADORG">
        <reference local="AD_ORG_ID" foreign="AD_ORG_ID"/>
      </foreign-key>
      <foreign-key foreignTable="C_WITHHOLDING" name="OBTL_WHPARAM_CWH">
        <reference local="C_WITHHOLDING_ID" foreign="C_WITHHOLDING_ID"/>
      </foreign-key>
      <index name="OBTL_WITHHOLD_PARAM_TAX_IDX" unique="false">
        <index-column name="C_WITHHOLDING_ID"/>
      </index>
      <check name="OBTL_WH_PARAM_ISACTIVE_CHECK"><![CDATA[ISACTIVE IN ('Y', 'N')]]></check>
    </table>
  </database>
